Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163471 - Add a menu entry for launching nautilus as a administrator/root user
Summary: Add a menu entry for launching nautilus as a administrator/root user
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL: http://www.fedorajim.homelinux.com/pa...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-17 20:05 UTC by Rahul Sundaram
Modified: 2013-03-13 05:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-19 14:39:11 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2005-07-17 20:05:19 UTC
Actual results:


Currently the way to access nautilus as root user would be launch it from the
terminal as su -


Expected results:

Have an entry by default in the desktop as described in the link

Additional info:

Sometimes it is useful for changing permissions or moving files in system
directories

Comment 1 David Zeuthen 2005-07-19 14:39:11 UTC
We don't want the user to ever need to run Nautilus as the root user. It's not
useful either to have terminology in the desktop with words such as "root" or
"administrator" - users wont understand it. 

Btw, we don't even need this for all desktop use cases anyway by just only
allowing the console user to do certain privileged operations (yes, there's a
few bugs left where we do ask for the root password, e.g. package updates,
setting timezone etc.). Patches for fixing said bugs are welcome.


Note You need to log in before you can comment on or make changes to this bug.